-module(adder_SUITE).

-include("test_server.hrl").

-export([all/1, test1/1, test2/1]).


all(doc) -> "example test from adder module";
all(suite) -> [ test1, test2 ].


test1(doc) -> "Test simple adding";
test1(Config) when is_list(Config) ->
	?line 7 = adder:add(2,5),
	?line 9 = adder:add(7,2).


test2(doc) -> "Test special case";
test2(Config) when is_list(Config) ->
	?line 7 = adder:add(4, 3),
	?line 7 = adder:add(3, 4),
	ok.

